aboutsummaryrefslogtreecommitdiffstats
path: root/tmux_sessionizer.bash
diff options
context:
space:
mode:
authorMatthew Lemon <y@yulqen.org>2023-08-13 15:24:52 +0100
committerMatthew Lemon <y@yulqen.org>2023-08-13 15:24:52 +0100
commit618014f7ec0b91a825fd75b97579d9a9fda63f6d (patch)
tree534d463b643bf39febffd6be21e323fc526b3845 /tmux_sessionizer.bash
parent5d7521a23527288684ff27be1d16c0be0f32cb43 (diff)
tmux_sessionizer added
This is stolen from The Primeagen - thanks! Call this and select a work directory. A tmux session is created for that directory. Nice!
Diffstat (limited to '')
-rwxr-xr-xtmux_sessionizer.bash25
1 files changed, 25 insertions, 0 deletions
diff --git a/tmux_sessionizer.bash b/tmux_sessionizer.bash
new file mode 100755
index 0000000..387ada1
--- /dev/null
+++ b/tmux_sessionizer.bash
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+if [[ $# -eq 1 ]]; then
+ selected=$1
+else
+ selected=$(find ~/code/python/ ~/Documents/Notes ~/ ~/Budget/hledger ~/bin -mindepth 1 -maxdepth 1 -type d | fzf)
+fi
+
+if [[ -z $selected ]]; then
+ exit 0
+fi
+
+selected_name=$(basename "$selected" | tr . _)
+tmux_running=$(pgrep tmux)
+
+if [[ -z $TMUX ]] && [[ -z $tmux_running ]]; then
+ tmux new-session -s $selected_name -c $selected
+ exit 0
+fi
+
+if ! tmux has-session -t=$selected_name 2> /dev/null; then
+ tmux new-session -ds $selected_name -c $selected
+fi
+
+tmux switch-client -t $selected_name